package com.sun.solarisinstall.solaris2.panels;

import com.sun.wizards.core.*;
import com.sun.wizards.panels.*;
import com.sun.install.panels.*;
import java.util.Vector;

/**
 * NoStopProgressPanel displays a progress bar with no Stop button.
 */
public class NoStopProgressPanel extends ProgressPanel
{
  public NoStopProgressPanel()
    {
      super();
    }

  public NoStopProgressPanel(WizardState wizardState, String name, String progressKey)
    {
      super(wizardState, name, progressKey);
    }

  public NoStopProgressPanel(String name, Route route, WizardTreeManager wizardManager)
    {
      super(name, route, wizardManager);
    }

  /* This panel has no buttons */ 

  public int getButtonMask()
  {
      return(0);
  }


  /**
   * Get the runtime classes required by this panel.
   */
  public void addRuntimeResources(Vector resourceVector)
  {
    super.addRuntimeResources(resourceVector);
    resourceVector.addElement(new String[] {null, "com.sun.solarisinstall.solaris2.panels.NoStopProgressPanel"});
  }
}
